/**********************************************************************************
* File: Lab2.cmd -- File for Lab 2
* Devices: TMS320F280049
* Author: C2000 Technical Training, Texas Instruments
**********************************************************************************/

MEMORY
{
PAGE 0:    /* Program Memory */
   RAMLS4              : origin = 0x00A000, length = 0x000800     /* LS4 RAM, DCSM secure, CLA Program RAM */
   RAMLS5              : origin = 0x00A800, length = 0x000800     /* LS5 RAM, DCSM secure, CLA Program RAM */
   RAMGS01             : origin = 0x00C000, length = 0x004000     /* GS0-1 RAM, Parity, DMA */
   RESET           (R) : origin = 0x3FFFC0, length = 0x000002     /* Part of Boot ROM */

PAGE 1:    /* Data Memory */
   RAMM0               : origin = 0x0000F5, length = 0x00030B     /* M0 RAM */
   RAMM1               : origin = 0x000400, length = 0x000400     /* M1 RAM */
   RAMLS0              : origin = 0x008000, length = 0x000800     /* LS0 RAM, DCSM secure, CLA Data RAM */
   RAMLS1              : origin = 0x008800, length = 0x000800     /* LS1 RAM, DCSM secure, CLA Data RAM */
   RAMLS2              : origin = 0x009000, length = 0x000800     /* LS2 RAM, DCSM secure, CLA Data RAM */
   RAMLS3              : origin = 0x009800, length = 0x000800     /* LS3 RAM, DCSM secure, CLA Data RAM */
   RAMLS6              : origin = 0x00B000, length = 0x000800     /* LS6 RAM, DCSM secure, CLA Data RAM */
   RAMLS7              : origin = 0x00B800, length = 0x000800     /* LS7 RAM, DCSM secure, CLA Data RAM */   
   RAMGS2              : origin = 0x010000, length = 0x002000     /* GS2 RAM, Parity, DMA */
   RAMGS3              : origin = 0x012000, length = 0x002000     /* GS3 RAM, Parity, DMA */
}

SECTIONS
{
/*** Compiler Required Sections ***/

   /* Program memory (PAGE 0) sections */
   .text               : > RAMGS01,               PAGE = 0
   .cinit              : > RAMGS01,               PAGE = 0
   .reset              : > RESET,                 PAGE = 0, TYPE = DSECT  /* Not using the .reset section */

   /* Data Memory (PAGE 1) sections */
   .ebss               : > RAMM0,                 PAGE = 1
   .stack              : > RAMM1,                 PAGE = 1
}

/******************* end of file ************************/
