/**********************************************************************
* File: Main_5.c -- Solution File for Lab 5
* Devices: TMS320F28004x
* Author: C2000 Technical Training, Texas Instruments
**********************************************************************/

#include "Lab.h"                          // Main include file


/**********************************************************************
* Function: main()
*
* Description: Main function for C28x workshop labs
**********************************************************************/
void main(void)
{
//--- CPU Initialization
    Device_init();                      // Initialize device and peripherals clock (FILE: device.c)
	Interrupt_initModule();             // Initializes PIE, clear PIE registers, disables CPU interrupts, and clear all CPU interrupt flags (FILE: interrupt.c)
	Interrupt_initVectorTable();        // Initialize the PIE vector table with pointers to the shell interrupt Service Routines (FILE: interrupt.c)
    InitGpio();                         // Initialize the shared GPIO pins (FILE: Gpio.c)
	InitWatchdog();						// Initialize the Watchdog Timer (FILE: WatchDog.c)

//--- Enable global interrupts and real-time debug
	EINT;                               // Enable global interrupts - defined as: asm(" clrc INTM"); (FILE: cpu.h)
	ERTM;                               // Enable real-time debug - defined as: asm(" clrc DBGM"); (FILE: cpu.h)

//--- Main Loop
	while(1)							// endless loop - wait for an interrupt
	{
		NOP;                            // No operation - defined as: asm(" NOP"); (FILE: cpu.h)
	}

} //end of main()


/*** end of file *****************************************************/
